package gs.test.v0.api

/** Enumeration for _Markers_, special tokens which "mark" a test to change
  * execution functionality.
  *
  * The basic case for this enumeration is allowing tests to be ignored.
  *
  * @param name
  *   The formal serialized name of the marker.
  */
sealed abstract class Marker(val name: String)

object Marker:

  given CanEqual[Marker, Marker] = CanEqual.derived

  /** If this [[Marker]] is present on a test, the test will be ignored.
    */
  case object Ignored extends Marker("ignored")

end Marker
