package gs.test.v0.api

/** The Test Suite is the primary unit of organization within `gs-test` -- each
  * execution _typically_ runs a single test suite. For example, the unit tests
  * for some project would likely comprise of a single suite.
  *
  * @param permanentId
  *   A permanent identifier used to reference this suite over time.
  * @param name
  *   The name of this test suite.
  * @param documentation
  *   Arbitrary documentation for this suite of tests.
  */
case class TestSuite(
  permanentId: PermanentId,
  name: String,
  documentation: Option[String]
)
